﻿using Hotline.Share.Enums.FlowEngine;

namespace Hotline.Share.Dtos.FlowEngine;

public class NextStepsDto
{
    // public IReadOnlyList<NextStepOption> Steps { get; set; }
    public DateTime? ExpiredTime { get; set; }

    /// <summary>
    /// 是否有否决按钮
    /// </summary>
    public bool CanReject { get; set; }

    /// <summary>
    /// 是否支持发起会签
    /// </summary>
    public bool CanStartCountersign { get; set; }


    /// <summary>
    /// 是否显示主办对象
    /// </summary>
    public bool IsMainHandlerShow { get; set; }

    /// <summary>
    /// 当前办理节点业务类型
    /// </summary>
    public EBusinessType CurrentStepBusinessType { get; set; }

    public IReadOnlyList<KeyValuePair<int, string>> TimeTypeOptions { get; set; }
}

public class NextStepsDto<TSteps> : NextStepsDto
{
    public List<TSteps> Steps { get; set; }
}

public class NextStepsWithOpinionDto<TSteps> : NextStepsDto<TSteps>
{
    /// <summary>
    /// 宜宾需求：汇总节点办理前展示前一节点办理意见
    /// </summary>
    public string? Opinion { get; set; }
}


